Subject: Re: B19 problem with fread() and buffering
From: [email-masked] (Michael Hirmke)

6 Sep 1998 12:29:40 -0700
Message-ID: <[email-masked]>
References: <3.0.3.32.19980904184440.00ba7d50@appr>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Todd,

>
>I call fread with a sizeof of 4 and a count of 315 after reading
>500 bytes out of a file and I only get back a count of 42 and then
>the FILE* fp->_flags == 1188, when I called fread() it fp_uflags was 1156, so
>for some reason it thinks it reached end of file.  Now this is a binary
>file and I use fopen() to open it .. I would expect it to work just fine
>the routine that wrote out the file used fwrite in the B19 stuff..
>
>So the real question is.. am I over running some buffer?

I strongly suspect, that this also is a problem with non binary mounts
and / or non Unix style line endings for text files ?

>
>Any ideas?
>
>Thanks,
>Todd

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".